%define name	john
%define version	1.6
%define release	6mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	John the Ripper password cracker
License:	GPL
Group:		Monitoring
Source:		%{name}-%{version}.tar.bz2
Patch0:		%{name}.makefile.patch.bz2
Patch1:		%{name}.sources.patch.bz2
URL:		http://www.openwall.com/john
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
John the Ripper is a fast password cracker, currently available for many
flavors of Unix (11 are officially supported, not counting different
architectures), DOS, Win32, and BeOS. Its primary purpose is to detect
weak Unix passwords, but a number of other hash types are supported as
well.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
%patch0
%patch1
chmod 644 doc/*

%build
%ifarch %ix86
	TARGET=linux-x86-any-elf
%else
%ifarch ppc
	TARGET=linux-ppc-any-elf
%else
%ifarch alpha
	TARGET=linux-alpha
%else
%ifarch sparc
	TARGET=linux-sparc
%else
TARGET=generic
echo "Please add the right TARGET to the spec file"
%endif
%endif
%endif
%endif
cd src && %make $TARGET

%install
install -d 755 $RPM_BUILD_ROOT%{_sysconfdir}
install -d 755 $RPM_BUILD_ROOT%{_bindir}
install -d 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 755 run/{john,mailer} $RPM_BUILD_ROOT%{_bindir}
install -m 644 run/{*.chr,password.lst} $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 run/john.ini $RPM_BUILD_ROOT%{_sysconfdir}
cd $RPM_BUILD_ROOT%{_bindir} \
	&& ln -s john unafs \
	&& ln -s john unique \
	&& ln -s john unshadow \

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/*
%config(noreplace) %{_sysconfdir}/john.ini
%{_bindir}/*
%{_datadir}/%{name}

%changelog
* Wed Aug 04 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.6-6mdk 
- rebuild

* Tue Mar  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.6-5mdk
- add generic as fallback target for amd64 and others

* Sat Feb 01 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.6-4mdk
- x86 sucks, we want it for ppc !
- Remake patch0 with ppc adaptation
- setting up for alpha/sparc (need test)

* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.6-3mdk
- rebuild

* Mon Dec 02 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.6-2mdk
- config file in /etc
- fix configuration problem

* Mon Sep 16 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.6-1mdk
- first mdk version
